%define upstream_name    Path-Extended
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Yet another Path class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.230.0
BuildRequires: perl(File::stat) >= 1.0.0
BuildRequires: perl(IO) >= 1.230.0
BuildRequires: perl(Log::Dump)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Classy) >= 0.40.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::UseAllModules) >= 0.90.0
BuildArch:  noarch

%description
This is yet another file/directory handler that does a bit more than the
Path::Class manpage for some parts, and a bit less for other parts. One of
the main difference is the Path::Extended manpage always tries to use
forward slashes when possible, ie. even when you're on the MS Windows, so
that you don't need to care about escaping paths that annoys you from time
to time when you want to apply regexen to a path, especially in file tests
that use 'like' or 'compare'.

Also, the Path::Extended manpage can do some basic file/directory
operations such as copy, move, and rename as well as file I/O stuff like
open, close, and slurp (and some of these may behave differently from the
equivalents of the Path::Class manpage).

On the other hand, the Path::Extended manpage doesn't care (or care little)
about converting foreign path names or ascending/descending path tree.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.230.0-7.mga10
+ Revision: 2200077
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.230.0-6.mga9
+ Revision: 1805054
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-5.mga8
+ Revision: 1496423
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-4.mga7
+ Revision: 1270485
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-3.mga6
+ Revision: 1031867
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.230.0-2.mga6
+ Revision: 968610
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.230.0-1.mga6
+ Revision: 854119
- update to 0.23

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-5.mga5
+ Revision: 739336
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 685913
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-3.mga4
+ Revision: 513988
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 371614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 342479
- update to 0.21

* Sun Oct 21 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 308813
- imported package perl-Path-Extended


* Sun Oct 21 2012 cpan2dist 0.20-1mga
- initial mageia release, generated with cpan2dist
